/*
Theme Name:     Astra child theme, customized for Redwheat
Theme URI: 		https://wpastra.com/
Description:    Child theme made by Visual Lizard
Author:         Visual Lizard
Author URI: 	http://visuallizard.com
Template:       astra
Version:        2.1.1c
*/

.site-footer .button {
	background: inherit;
	padding: inherit;
}

	.site-footer .button a {
		display: inline-block;
		margin: 1em 0;
		padding: 0.75em 1.5em;
		border-radius: 4px;
		background-color: #AA1D23;
		
		color: white;
		font-weight: 700;
		text-transform: uppercase;
		
		box-shadow: 0 0 10px rgba(0,0,0,0.3);
	}
	
		.site-footer .button a:hover {
			background-color: #006940;

			color: #e9b111;
		}

/* ULTIMATE MEMBERS OVERRIDE */

	.um input[type=submit].um-button, .um input[type=submit].um-button:focus, .um a.um-button, .um a.um-button.um-disabled:hover, .um a.um-button.um-disabled:focus, .um a.um-button.um-disabled:active,
	.um input[type=submit].um-button:hover, .um a.um-button:hover {
		background: #e9b111 !important;
		
		color: #000;
		font-weight: 600 !important;
	}
	
/* BEAUTIFUL TAXONOMY FILTERS OVERRIDE */

	.beautiful-taxonomy-filters {
		margin: 1em 0;
		padding: 1em 1.5em;
		background: #eee;
		
		box-shadow: none;
	}
		
		.beautiful-taxonomy-filters-select-wrap {}
			
			.beautiful-taxonomy-filters-tax {
				display: flex;
				justify-content: space-between;
				flex-wrap: nowrap;
				
				padding: 0.5em 0;
			}
			
				.beautiful-taxonomy-filters-select-wrap label {
					display: none;
				}
			
					.beautiful-taxonomy-filters-select-wrap label:after {
						content: ":";
					}
			
				.beautiful-taxonomy-filters-tax select {
					display: block;
					min-width: 100%;
					
					font-size: 0.9rem;
				}
				
		.beautiful-taxonomy-filters-button {
			display: block;
			margin: 1.5em auto 1em;
			padding: 0.25em 1em;
		}
		
		.beautiful-taxonomy-filters-clear-all {
			display: block;
			
			color: #006940;
			font-size: smaller;
			text-decoration: underline;
			text-align: center;
		}

/* ELEMENTOR OVERRIDE */

	.elementor-nav-menu--main .elementor-nav-menu a, 
	.elementor-nav-menu--main .elementor-nav-menu a.highlighted, 
	.elementor-nav-menu--main .elementor-nav-menu a:focus, 
	.elementor-nav-menu--main .elementor-nav-menu a:hover {
		padding-top: 6px;
		padding-bottom: 6px;
	}
		
			/*
			.elementor-sticky--active:before {
				content: "";
				position: absolute;
				top: -25px;
				width: 100%;
				height: 25px;
				background-color: white;
			}
			*/
			
			.elementor-sticky--active {
				border-top: 1em solid transparent;
				border-bottom: 1em solid transparent;
			}
		
		.elementor-nav-menu--main > img {
			display: none;
			
			height: 3em;
			background: transparent;
		}
		
			.elementor-sticky--active .elementor-nav-menu--main > img {
				display: block;
				
				position: absolute;
				top: -0.75em;
				
				cursor: pointer;
			}

	.elementor-nav-menu .menu-item a[href="#"] {
		cursor: default;
	}
			
	.elementor-cta--skin-classic .elementor-cta__content {
		background: transparent !important;
	}
	
	h1, .entry-content h1, 
	h2, .entry-content h2, 
	h3, .entry-content h3, 
	h4, .entry-content h4, 
	h5, .entry-content h5, 
	h6, .entry-content h6, 
	.site-title, .site-title a {
		font-weight: 700;
		margin-bottom: 1em;
	}
	
	section .elementor-page-title h1.elementor-heading-title,
	section .elementor-page-title + .elementor-widget-post-info li > span,
	.elementor-slide-heading {
		display: inline-block;
		padding: 0.15em 0.5em !important;
		background-color: #006940;
		background-color: #00694099;
		
		text-shadow: 0px 0px 10px #54595F;
	}
	
	.elementor-cta__button.elementor-button {
		font-weight: 700;
	}

/* !HEADER */

	#header-site-logo-link {
		max-width: 100px;
	}
	
	.ast-site-identity {
		padding: 0;
	}
	
		.site-branding {
			position: absolute;
			top: -120px;
			left: 50%;
			
			margin-left: -60px;
			
			color: white;
		}
	
		.site-logo-img {
			position: absolute;
			width: 120px;
			background: white;
		}
		
			.ast-logo-title-inline .site-logo-img {
				padding: 0;
			}

	.main-header-bar {
		margin-top: 190px;
		background: #006940;
		
		line-height: 40px;
	}
	
		.main-header-bar a {
			color: #fff;
			font-size: 12px;
			font-weight: 600;
			letter-spacing: 1px;
			text-transform: uppercase;
		}
			
			/* removing menu bar down-arrow icons
			.main-header-bar .main-header-bar-navigation .menu-item-has-children>a:after, 
			.main-header-bar .main-header-bar-navigation .page_item_has_children>a:after {
				content: none;
			}
			*/
		
		.main-header-bar .sub-menu {
			padding: 1em 0;
			background: #9F9E8C;
		}
		
			.main-header-menu .sub-menu a {
				padding: 0.25em 1em;
			}
			
	.ast-header-break-point {}
	
		.ast-header-break-point .main-header-bar {
			margin-top: 120px;
		}
	
		.ast-header-break-point .site-branding {
			top: -80px;
			left: 0;
			margin-left: 0;
		}
		
			.ast-header-break-point .site-logo-img {
				width: 90px;
			}
			
		.ast-header-break-point .ast-mobile-menu-buttons {
			position: absolute;
			top: -80px;
			right: 0;
		}
		
		.ast-header-break-point .main-header-bar {
			background: #222;
		}
				
			.ast-header-break-point #primary-menu,
			.ast-header-break-point .main-header-menu ul.sub-menu {
				padding: 0;
				background: #006940;
			}
					
				.ast-header-break-point .main-header-menu ul.sub-menu li {
					background: #005635;
				}
				
					.ast-header-break-point .main-navigation ul .button-custom-menu-item a, .ast-header-break-point .main-navigation ul li a {
						border-color: rgba(255,255,255,0.2);
					}
					
					.ast-header-break-point .main-header-bar .main-header-bar-navigation .menu-item-has-children>.ast-menu-toggle, .ast-header-break-point .main-header-bar .main-header-bar-navigation .page_item_has_children>.ast-menu-toggle {
						line-height: 2.3;
					}
					
		.ast-header-break-point .swiper-slide {
			max-height: 300px;
		}
		
			.ast-header-break-point .swiper-slide-inner {
				padding-top: 60px !important;
			}
	
				.ast-header-break-point .swiper-slide-contents {
					max-width: 90% !important;
				}
								
				.ast-header-break-point .elementor-slide-heading {
					font-size: 40px !important;
				}
				
/* !LAYOUT */

	body {
		color: #333;	
		line-height: 1.4;	
	}

	#content {
		min-height: 100vh;
	}

	#primary {
		margin: 0 0 4em;
	}
	
	header.intro {
		padding: 100px 0;
		min-height: 600px;
		margin-bottom: 4em;
	}
		
		body.home header.intro {
			margin-bottom: 0;
		}
	
		header.intro .uagb-columns__columns-1,
		header.intro .uagb-columns__columns-2,
		header.intro .uagb-columns__columns-3 {
			margin-top: 115px;
			max-width: 800px !important;
			
			text-align: center;
		}
		
		header.intro h1 {
			font-size: 60px;
			font-family: Montserrat;
			font-weight: 900;
			font-style: italic;
			line-height: 1;
			text-transform: uppercase;
		}	

	.inner-wrap-half-left {
		max-width: 600px;
		margin-left: auto;
	}

	.inner-wrap-half-right {
		max-width: 600px;
		margin-right: auto;
	}
	
/* !POSTS, wheat school (aka, default blog) */

	.ast-archive-description {
		margin-top: 3em;
	}

		.ast-archive-description .ast-archive-title {
			font-size: 40px;
			font-size: 2.5rem;
			font-weight: 700;
			line-height: 1.3;
		}

	.elementor-posts-container article.elementor-post {
		padding: 20px 20px 40px;
		border: 1px solid #ccc;
	}

		.elementor-posts-container article.elementor-post.type-varieties {
			padding: 0 10px 40px;
			border: none;
		}
			
			.elementor-posts-container article.elementor-post.type-varieties .elementor-image a,
			.elementor-posts-container article.elementor-post.type-varieties .elementor-image img {
				width: 100% !important;
			}
	
	.elementor-pagination {
		margin-top: 60px;
	}
		
/* !POSTS, agronomy corner */

	.agronomy-corner-loop .elementor-posts-container article.elementor-post {
		padding: inherit;
		border: inherit;
	}
	
		.agronomy-corner-loop .elementor-widget-image .elementor-image>a,
		.agronomy-corner-loop .elementor-widget-image .elementor-image figure>a,
		.agronomy-corner-loop .elementor-widget-image .elementor-image img {
			display: block;
			width: 100%;
		}
		
		.agronomy-corner-loop  .elementor-icon-list-items.elementor-inline-items,
		.agronomy-corner-loop  .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item,
		.agronomy-corner-loop  .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item .elementor-icon-list-text {
			display: inline;
		}
		
			/*
			.agronomy-corner-loop  .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:first-child .elementor-icon-list-text {
				color: #006940;
				font-weight: 800;
			}
			*/
			
			.agronomy-corner-loop  .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:first-child .elementor-icon-list-text:after {
				content: " - ";
			}

/* !GALLERY */
	
	.gallery {}
		
		.wp-caption img,
		.gallery-icon {
			margin: 0 0 2em;
			border: 0;
		}
		
		.wp-caption-text,
		.gallery-caption {
			border: 0;
			padding: 0;
			margin: -1.5em 1em 1.5em !important;

			font-size: .8em;
			font-weight: 300;
		}
		
/* !YIELD RESULTS */

	#yield-results-map {
		display: flex;
		align-items: stretch;
		
		margin: 1em 0;
	}
	
		#yield-results-map .beautiful-taxonomy-filters {
			width: 30%;
			margin: 0;
		}

		.acf-map {
	        width: 100%;
	        height: 500px;
	        border: 2px solid #eee;
	        margin: 0;
	    }
	
	    /* Fixes potential theme css conflict. */
	    .acf-map img {
	        max-width: inherit !important;
	    }
	    
	    	.yield-result-popup {
		    	margin: 0 0 1em;
	    	}
	    	
	    		.yield-result-popup h4 {
	    			margin: 0;
	    			
	    			color: #006940;
	    		}
	    	
	    		.yield-result-popup p {
		    			margin: 0;
		    			
		    			color: #006940;
	    		}
	    		
	    		.yield-result-popup dl {
		    			display: flex;
					flex-wrap: wrap;
					
			    		margin: 1em 0;
			    		border-top: 1px solid #eee;
		    		}
			    		.yield-result-popup dt,
			    		.yield-result-popup dd { 
				    		width: 50%;
				    		padding: 0.25em;
				    		margin: 0;
				    		border-bottom: 1px solid #eee;
				    	}
					    	
				    		.yield-result-popup dd { 
					    		text-align: right;
					    	}
	    	
	    		.yield-result-popup img {
		    			max-width: 100% !important;
					margin: 0.5em 0;
					padding: 0;
					border: 1px solid #eee;
					border-radius: 0.5em;
	    		}
	    	
	    		.yield-result-popup button {
		    			padding: 0 1em;
		    			
		    			font-size: inherit;
	    		}


	table#yield-results {
		border-collapse: collapse;
		vertical-align: middle;
		
		width: 100%;
		border: 0;
			
		font-size: 0.8rem;
		font-family: sans-serif;
		line-height: 1em;
	}
	
		table#yield-results th {
			padding: 0.25em 0.5em;
			border: 1px solid #e9b111;
			background-color: #e9b111;
			
			font-size: inherit;
			font-weight: 600;
			line-height: 1.3em;
			text-transform: uppercase;
		}
		
			table#yield-results th.yr-crop { width: 20%; }
			table#yield-results th.yr-town { width: 20%; }
			
			table#yield-results th.yr-deal { width: 15%; }
			table#yield-results th.yr-grow { width: 15%; }
		
		table#yield-results td {
			padding: 0.5em;
			border: 1px solid #eee;
			border-left: 0;
			border-right: 0;
			
			font-size: inherit;
			font-weight: 400;
			line-height: 1.3em;
		}
		
		table#yield-results th.right,
		table#yield-results td.right {
			text-align: right;
		}
		
			table#yield-results td a {
				white-space: nowrap;
			}
	
/* !PRODUCTS */

	table.variety_specifications {
		border-collapse: collapse;
		vertical-align: middle;
		
		width: 100%;
		border: 0;
			
		font-family: sans-serif;
		line-height: 1em;
	}
	
		table.variety_specifications th {
			width: 40%;
			border: 1px solid white;
			background-color: #e9b111;
			
			font-weight: 600;
			text-transform: uppercase;
		}
		
		table.variety_specifications td {
			border: 1px solid white;
			
			font-weight: 400;
		}

	table.variety_statistics {
		table-layout:fixed;
		vertical-align: middle;
		
		width: 100%;
		border: 0;
			
		font-family: sans-serif;
		line-height: 1em;
	}
	
		table.variety_statistics th {
			position: relative;
			
			width: 40%;
			border: 1px solid white;
			border-bottom-width: 1px;
			background-color: #006940;
			
			color: white;
			font-weight: 400;
			text-transform: uppercase;
		}
		
			table.variety_statistics tr:nth-child(even) th {
				background-color: #228040
			}
		
			table.variety_statistics th span {
				position: absolute;
				
				font-size: large;
				text-shadow: 0 0 2px #006940;
				
				white-space: nowrap;
			}
		
			table.variety_statistics .range th {
				width: 11.1%;
				background-color: #e9b111;
				border-bottom-width: 1.5em;
				
				text-align: center;
			}
		
		table.variety_statistics td {
			display: none;
		}
		
	
/* !FOOTER */

	.site-footer {
		font-size: small;
	}

	.site-footer .widget {
		margin: 0 0 2em 0
	}
	
	.site-footer #media_image-2 svg {
		margin-top: -2em;
		width: 80% !important;
		max-height: 220px;
	}

	.site-footer img {
		max-width: 200px !important;
	}

		.site-footer .ast-row .footer-adv-widget-2 .textwidget {
			display: flex;
			flex-direction: column;
			align-items: center;
			
			max-width: 140px;
		}

	.site-footer .menu {
		font-weight: 600;
		text-transform: uppercase;
	}
	
		.site-footer .menu li {
			margin-bottom: 0.5em;
		}

		.site-footer .sub-menu {
			display: none;
		}
	
	.site-footer h1,
	.site-footer h2,
	.site-footer h3,
	.site-footer h4 {
		margin-bottom: 1em;
		
		color: #e9b111 !important;
		font-size: inherit;
		text-transform: uppercase;
	}
	
	.ast-small-footer {
		font-size: 14px;
		font-weight: 400;
		text-transform: uppercase;
	}
		
		.ast-small-footer a {
			font-weight: 600;
		}
		
	.ast-header-break-point .site-footer {
		text-align: center;
	}
	
		.ast-header-break-point .site-footer .textwidget {
			min-width: 100%;
		}
	
		.ast-header-break-point .site-footer img {
			float: none !important;
		}
		
		.ast-header-break-point .site-footer #nav_menu-2 {
			display: none;
		}
		
	.list-items-wrapper li {
		display: inline-block !important;
	}
	
		.list-items-wrapper li .link-text {
			text-indent: -99999px;
		}
	
/* !HOME */

	body.home #primary {
		margin: 0;
	}
	
/* !Hx HEADINGS */

	.widget-title {
		font-weight: 700;
	}
	
	.entry-title,
	.entry-title a {
		font-weight: 700;
	}
	
/* !LOOP */

.varieties.type-varieties[data-elementor-type="loop"] {}

.varieties.type-varieties[data-elementor-type="loop"] .elementor-row {
	min-height: inherit;
}

.varieties.type-varieties[data-elementor-type="loop"] .elementor-widget-wrap {
	flex-direction: column;
}

.varieties.type-varieties[data-elementor-type="loop"] .elementor-widget-wrap .elementor-widget-button {
	margin-top: auto;
	margin-bottom: 1em;
}
	
/* !TEAMS */

	.uagb-team__content h3 {
		margin-bottom: 0;
		
		font-size: 1.2em;
		text-transform: uppercase;
	}
	
/* !BUTTONS */

	.elementor-cta__button:hover,
	.elementor-button:hover {
		border-color: #041 !important;
		background-color: #041 !important;
		
		color: #e9b111 !important;
	}
	
	.uagb-cta__button-wrapper {}
	
		.uagb-cta__button-wrapper a {
			font-size: 14px;
			font-weight: 600;
		}
	
			.uagb-cta__button-wrapper a span span {
				padding: 0.25em 1em;
			}
		
/* !FILE DOWNLOADS */
		
	.document {
	    max-width: 600px;
	    margin: 0 auto 2em;
	}

		.document-title {
		    display: block;
		    background-color: #006940;
		    
		    color: #fff !important;
		    text-align: center;
		    text-transform: uppercase;
		    padding: .5em .5em;
		    
			font-style: italic;
		}
		
		.document .document-action-list {
			margin: 0;
		    padding: .25em 1em;
		
		    text-align: right;
		}
		
		.document-action-item {
		    display: inline-block;
		}
		
			.document-action-item:nth-child(1) {
			    float: left;
			}
				
			.document-action-item a {
			    text-decoration: none;
			    color: #006940;
			    
			    vertical-align: middle;
			}
			
				.document-action-item a:hover {
				    opacity: .75;
				}
		
			.document-action-item .icon-img {
			    color: inherit;
			    width: 1.5em;
			    height: auto;
			    display: inline-block;
			    vertical-align: middle;
			}
	
		
			.document-action-item .icon-text {
			    vertical-align: middle;
			    margin-left: .25em;
			}
				
				.document .document-action-item:nth-child(2) .icon-text,
				.document .document-action-item:nth-child(3) .icon-text {
				    display: none;
				}	
				
/* RESPONSIVE adjustments*/	

@media only screen and (max-width: 760px) {
	
	/* header */
	
	.elementor-3073 .elementor-element.elementor-element-9ebaa2d {
		padding: 0;
	}
	
		.site-main .elementor-section-wrap section:first-child > .elementor-container {
			min-height: 300px;
		}
		
			.site-main .elementor-section-wrap section:first-child > .elementor-container .elementor-element-populated {
				margin: 15% 0px 0px 0px;
			}
			
				 h1.elementor-heading-title {
					 font-size: 40px !important;
				 }
				 
	#primary, #secondary {
		padding: 0;
	}
	
	/* calls to action */

	.elementor-cta,
	.elementor-cta {
		flex-direction: column !important;
	}
	
		.elementor-cta .elementor-cta__content {
			min-height: 0 !important;
		}
		
	/* product LOOP posts */
	
	.varieties.type-varieties[data-elementor-type="loop"] .elementor-container {
		min-height: 0 !important;
	}
		
		.varieties.type-varieties[data-elementor-type="loop"]
		.elementor-widget-wrap .elementor-widget-button {
			margin-top: 0;
		}
		
	/* product template */
	
	.elementor-2936 .elementor-element.elementor-element-5bba691 {}
	
		.elementor-2936 .elementor-element.elementor-element-5bba691 .elementor-element-populated {
			border-width: 0;
			padding: 0 0.5em !important;
			margin: 0 !important;
		}
		
	.elementor-element-9f80ff6 .elementor-widget-container,
	.elementor-element-3361b37 .elementor-widget-container  {
		margin: 0 !important;
	}
	
	/* yield results */
	
	#yield-results-map #beautiful-taxonomy-filters-yield-results {
		width: 100%;
	}
	
	#yield-results-map .acf-map {
		display: none;
	}
	
	#yield-results,
	#yield-results tbody,
	#yield-results tr,
	#yield-results td {
		display: block;
		clear: both;
		width: 100%;
		
		text-align: right;
		
	}
	
		#yield-results tr {
			border-top: 2px solid #e9b111;
			margin: 2em 0;
		}
	
		#yield-results tr.headings {
			display: none;
		}
		
		#yield-results td:before {
			content: attr(data-label);
			
			float: left;
			
			font-weight: bold;
			text-transform: uppercase;
		}
		
		table#yield-results td a span {
			display: block;
			position: relative;
			clip: unset;
			margin: 0;
			width: auto;
			overflow: unset;
			height: auto;
		}
		
	/* blog posts */
	
	.elementor-posts .elementor-post {
		display: block;
	}
		
		.elementor-posts--thumbnail-left .elementor-post__thumbnail__link, 
		.elementor-posts--thumbnail-right .elementor-post__thumbnail__link {
			flex-shrink: unset;
		}
		
		.elementor-posts .elementor-post .elementor-post__title {
			margin: 1em 0 !important;
		}
		
	ul.elementor-icon-list-items {}
	
		ul.elementor-icon-list-items > .elementor-icon-list-item {
			display: block;
			width: 100%;
			border: 0 !important;
		}

}
		